Robot Simulator of the Robotics Group for Self-Organization of Control: StandartGenerationSizeStrategy Class Reference

# StandartGenerationSizeStrategy Class Reference

this class calculate the new generation size over the enhancement speed More...

`#include <StandartGenerationSizeStrategy.h>`

Inherits IGenerationSizeStrategy.

Collaboration diagram for StandartGenerationSizeStrategy:
[legend]

List of all members.

## Public Member Functions
| StandartGenerationSizeStrategy (int startSize, int numGeneration)
| constructor
virtual | ~StandartGenerationSizeStrategy ()
| default destructor
virtual int | calcGenerationSize (Generation *oldGeneration)
| this function calculate the new generation size
## Protected Attributes
bool | m_firstIsSet
| is the first generation over?
int | m_startSize
| the start size of the first generation
int | m_numGeneration
| the number of generation
double | m_best_first
| the best value of the first generation
double | m_best_old
| the best value of the last generation.
double | m_best_new
| the best value of the new generation.

## Detailed Description

this class calculate the new generation size over the enhancement speed

## Constructor & Destructor Documentation

StandartGenerationSizeStrategy | ( | int | startSize,
|  | int | numGeneration |
| ) |  |  |

constructor

Parameters:

  | startSize | (int) is the size of the first generation. is needed as basic of the calculation
  | numGeneration | (int) is the number of generation which the alg. will be create

~StandartGenerationSizeStrategy | ( |  | ) | `[virtual]`

default destructor

## Member Function Documentation

int calcGenerationSize | ( | Generation * | oldGeneration | ) | `[virtual]`

this function calculate the new generation size

Parameters:

  | oldGeneration | (Generation*) the old generation

Returns:
  (int) the new generation size

Implements IGenerationSizeStrategy.

## Member Data Documentation

double m_best_first`[protected]`

the best value of the first generation

double m_best_new`[protected]`

the best value of the new generation.

double m_best_old`[protected]`

the best value of the last generation.

bool m_firstIsSet`[protected]`

is the first generation over?

int m_numGeneration`[protected]`

the number of generation

int m_startSize`[protected]`

the start size of the first generation

The documentation for this class was generated from the following files:

- StandartGenerationSizeStrategy.h
- StandartGenerationSizeStrategy.cpp